cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase screenshots list \
--project_id <project_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/screenshots"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "d2e056aa9e70b01121f41693e344f5ee",
"name": "A screenshot name",
"description": "A screenshot description",
"screenshot_url": "http://assets.example.com/screenshot.png",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"markers_count": 0
}
]Screenshots
List screenshots
List all screenshots for the given project.
GET
/
projects
/
{project_id}
/
screenshots
cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase screenshots list \
--project_id <project_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/screenshots"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "d2e056aa9e70b01121f41693e344f5ee",
"name": "A screenshot name",
"description": "A screenshot description",
"screenshot_url": "http://assets.example.com/screenshot.png",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"markers_count": 0
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
specify the branch to use
filter by key
Was this page helpful?
⌘I